# Uses of Class
org.apache.sling.feature.scanner.FeatureDescriptor

Packages that use FeatureDescriptor
Package
Description
org.apache.sling.feature.analyser
org.apache.sling.feature.analyser.task
org.apache.sling.feature.scanner

## Uses of FeatureDescriptor in org.apache.sling.feature.analyser

Methods in org.apache.sling.feature.analyser that return FeatureDescriptor
Modifier and Type
Method
Description
`FeatureDescriptor`
AnalyserResult.`getFeatureDescriptor()`
Return the feature descriptor created during scanning

## Uses of FeatureDescriptor in org.apache.sling.feature.analyser.task

Methods in org.apache.sling.feature.analyser.task that return FeatureDescriptor
Modifier and Type
Method
Description
`FeatureDescriptor`
AnalyserTaskContext.`getFeatureDescriptor()`
The feature descriptor.

## Uses of FeatureDescriptor in org.apache.sling.feature.scanner

Methods in org.apache.sling.feature.scanner that return FeatureDescriptor
Modifier and Type
Method
Description
`FeatureDescriptor`
Scanner.`scan(org.apache.sling.feature.Feature feature)`
Scan a feature